# ClippingPolygon

#### new Cesium.ClippingPolygon(options)
engine/Source/Scene/ClippingPolygon.js 38

A geodesic polygon to be used with `ClippingPlaneCollection` for selectively hiding regions in a model, a 3D tileset, or the globe.

Name | Type | Description
--- | --- | ---

`options`

object

Object with the following properties:

Name | Type | Default | Description
--- | --- | --- | ---
`positions` | Array.<Cartesian3> |  | A list of three or more Cartesian coordinates defining the outer ring of the clipping polygon.
`ellipsoid` | Ellipsoid | `Ellipsoid.WGS84` | optional

##### Example:

    const positions = Cesium.Cartesian3.fromRadiansArray([
        -1.3194369277314022,
        0.6988062530900625,
        -1.31941,
        0.69879,
        -1.3193955980204217,
        0.6988091578771254,
        -1.3193931220959367,
        0.698743632490865,
        -1.3194358224045408,
        0.6987471965556998,
    ]);

    const polygon = new Cesium.ClippingPolygon({
        positions: positions
    });

### Members

#### readonly ellipsoid : Ellipsoid
engine/Source/Scene/ClippingPolygon.js 85

Returns the ellipsoid used to project the polygon onto surfaces when clipping.

#### readonly length : number
engine/Source/Scene/ClippingPolygon.js 61

Returns the total number of positions in the polygon, include any holes.

#### readonly positions : Array.<Cartesian3>
engine/Source/Scene/ClippingPolygon.js 73

Returns the outer ring of positions.

### Methods

#### static Cesium.ClippingPolygon.clone(polygon, result) → ClippingPolygon
engine/Source/Scene/ClippingPolygon.js 98

Clones the ClippingPolygon without setting its ownership.

Name | Type | Description
--- | --- | ---
`polygon` | ClippingPolygon | The ClippingPolygon to be cloned
`result` | ClippingPolygon | optional The object on which to store the cloned parameters.

##### Returns:

a clone of the input ClippingPolygon

#### static Cesium.ClippingPolygon.equals(left, right) → boolean
engine/Source/Scene/ClippingPolygon.js 124

Compares the provided ClippingPolygons and returns `true` if they are equal, `false` otherwise.

Name | Type | Description
--- | --- | ---
`left` | Plane | The first polygon.
`right` | Plane | The second polygon.

##### Returns:

`true` if left and right are equal, `false` otherwise.

#### computeRectangle(result) → Rectangle
engine/Source/Scene/ClippingPolygon.js 141

Computes a cartographic rectangle which encloses the polygon defined by the list of positions, including cases over the international date line and the poles.

Name | Type | Description
--- | --- | ---
`result` | Rectangle | optional An object in which to store the result.

##### Returns:

The result rectangle

Need help? The fastest way to get answers is from the community and team on the Cesium Forum.